Mailinglist Archive: opensuse-buildservice (131 mails)

< Previous Next >
Re: [opensuse-buildservice] prjconf Prefer: with distribution version check?
On Friday 2013-02-01 10:39, Hans-Peter Jansen wrote:

Am Freitag, 1. Februar 2013, 01:00:59 schrieb Jan Engelhardt:
On Thursday 2013-01-31 23:23, Hans-Peter Jansen wrote:
It's not that easy, because on the very first pass of that package build,
libmagic1 doesn't exist, because it is contained in the package file so
far.

[...]
For some reason, only 12.2/i586 is affected

So, don't use Preinstall:libmagic1 until it really exists for all targets.
That is not the case for your project.

Without it, I'm back at error [mail from 31.12.2013: 00:17:57]

I knew I did not see that mail before ;-)

Without Preinstall:libmagic1, you should get instead:
- file, inherited from openSUSE 12.2 prjconf (and earlier)
- libmagic1, inherited from openSUSE 12.3/Factory prjconf

and all should be fine.
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
List Navigation